Loading...
Searching...
No Matches
starpu_fxt.h File Reference
`#include <starpu_config.h>`
`#include <starpu_perfmodel.h>`

Go to the source code of this file.

## Data Structures

struct | starpu_fxt_codelet_event
struct | starpu_fxt_mpi_offset
struct | starpu_fxt_options

## Functions

void | starpu_fxt_options_init (struct starpu_fxt_options *options)
void | starpu_fxt_options_shutdown (struct starpu_fxt_options *options)
void | starpu_fxt_generate_trace (struct starpu_fxt_options *options)
void | starpu_fxt_autostart_profiling (int autostart)
void | starpu_fxt_start_profiling (void)
void | starpu_fxt_stop_profiling (void)
void | starpu_fxt_write_data_trace (char *filename_in)
void | starpu_fxt_write_data_trace_in_dir (char *filename_in, char *dir)
int | starpu_fxt_is_enabled (void)
void | starpu_fxt_trace_user_event (unsigned long code)
void | starpu_fxt_trace_user_event_string (const char *s)